# Interface methods for submodule: ThresholdLabelerImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import InPlaceImageFilterProxy as _InPlaceImageFilterProxy


# Interface methods for class: ThresholdLabelerImageFilter
class ThresholdLabelerImageFilterProxy(_InPlaceImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetFunctor(self):
		""""""
		...

	def SetFunctor(self, functor) -> None:
		""""""
		...

	@overload
	def SetThresholds(self, thresholds: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetThresholds(self, thresholds: Sequence[int]) -> None:
		""""""
		...

	@overload
	def GetThresholds(self) -> Sequence[float]:
		""""""
		...

	@overload
	def GetThresholds(self) -> Sequence[int]:
		""""""
		...

	def SetRealThresholds(self, thresholds: Sequence[float]) -> None:
		""""""
		...

	def GetRealThresholds(self) -> Sequence[float]:
		""""""
		...

	@overload
	def SetLabelOffset(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetLabelOffset(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetLabelOffset(self) -> float:
		""""""
		...

	@overload
	def GetLabelOffset(self) -> int:
		""""""
		...

